This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 436679 - Laptop hangs when exiting X after upgared of xorg-x11-drv-i810
Laptop hangs when exiting X after upgared of xorg-x11-drv-i810
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 01:50 EST by Dr. Firas Swidan
Modified: 2009-01-09 02:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:42:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Original Xorg file. (1.42 KB, application/octet-stream)
2008-03-11 10:18 EDT, Dr. Firas Swidan
no flags Details
Original log file (54.79 KB, text/plain)
2008-03-11 10:19 EDT, Dr. Firas Swidan
no flags Details
log file after removing xorg.conf (57.10 KB, text/plain)
2008-03-11 10:26 EDT, Dr. Firas Swidan
no flags Details

  None (edit)
Description Dr. Firas Swidan 2008-03-09 01:50:50 EST
Description of problem:

While using intel experimental driver, when exiting X (rebooting, power off,
ctrl+alt+backspace, killing X, or even ctrl + alt + F1), Fedora most often
hangs. A hard shutdown is needed by pressing the power button.

Graphic card: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

Is it possible to get the older driver versions by any chance? Googling I was
able to find a bunch of similar problem descriptions, but they dated back to
August 2007, whereas my problem started in Feb 2008. Not sure if they are
relevant to this case.

Version-Release number of selected component (if applicable):
2.1.1-7.fc8. The development package causes similar problems.

How reproducible:
exiting X.

Steps to Reproduce:
1. Either poweroff
2. Or killing X
3. Or ctrl + alt + f1
  
Actual results:

System hangs.

Expected results:
To exit X gracefully. 

Additional info:
The problem is not present when using the i810 driver. That driver, however, is
very inconvenient to use especially when working with external monitor.
Comment 1 Matěj Cepl 2008-03-10 14:32:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Dr. Firas Swidan 2008-03-11 10:18:28 EDT
Created attachment 297613 [details]
Original Xorg file.
Comment 3 Dr. Firas Swidan 2008-03-11 10:19:43 EDT
Created attachment 297614 [details]
Original log file
Comment 4 Dr. Firas Swidan 2008-03-11 10:26:31 EDT
Created attachment 297615 [details]
log file after removing xorg.conf
Comment 5 Dr. Firas Swidan 2008-03-11 10:28:04 EDT
I have attached the three files that you requested - I hope they can be of any
help. Let me know in case you need more info.

Thanks for the help.
Comment 6 Matěj Cepl 2008-03-11 12:21:50 EDT
You can get a lot of older versions of the driver at
http://koji.fedoraproject.org/koji/packageinfo?packageID=117
Comment 7 Dr. Firas Swidan 2008-03-11 13:58:56 EDT
In case this could be of any help to you or other haunted souls, the bad news
are that all the versions starting with 2.1.0 seem to be buggy (up to and
including the development version 2.2.1.4).

The good new are that version 2.0.0.4 does solve the issue. So the problem
probably starts with 2.1.0.
Comment 8 Bug Zapper 2008-11-26 05:05:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:42:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.